curl --request PUT \
--url https://api.pay.walletconnect.com/v1/merchants/{merchantId}/settlements/crypto/{id} \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"destination": "eip155:8453:0x1234567890abcdef1234567890abcdef12345678"
}
'import requests
url = "https://api.pay.walletconnect.com/v1/merchants/{merchantId}/settlements/crypto/{id}"
payload = { "destination": "eip155:8453:0x1234567890abcdef1234567890abcdef12345678" }
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({destination: 'eip155:8453:0x1234567890abcdef1234567890abcdef12345678'})
};
fetch('https://api.pay.walletconnect.com/v1/merchants/{merchantId}/settlements/crypto/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "crypto_Xk7nWp8XmQj2YrTv6",
"asset": "eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"destination": "eip155:8453:0x1234567890abcdef1234567890abcdef12345678"
}Update a crypto settlement destination
Change the destination wallet for an existing crypto settlement. The new destination must be a CAIP-10 account on the same chain as the settlement’s asset.
Authorizations
Path Parameters
Crypto settlement ID
1 - 256"crypto_Xk7nWp8XmQj2YrTv6"
Body
CAIP-10 account identifier for the wallet that should receive the settled funds. Format: <namespace>:<chain_reference>:<address>. The chain (<namespace>:<chain_reference>) must match the chain of the corresponding asset.
1 - 256^[-a-zA-Z0-9]{3,8}:[-a-zA-Z0-9]{1,32}:[-a-zA-Z0-9]{1,128}$"eip155:8453:0x1234567890abcdef1234567890abcdef12345678"
Response
Settlement updated
Crypto settlement ID
"crypto_Xk7nWp8XmQj2YrTv6"
CAIP-19 asset identifier for the token to settle in. Format: <namespace>:<chain_reference>/<asset_namespace>:<asset_reference>. For example, USDC on Base is eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913.
1 - 256^[-a-zA-Z0-9]{3,8}:[-a-zA-Z0-9]{1,32}\/[-a-zA-Z0-9]{3,8}:[-a-zA-Z0-9]{1,128}$"eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"
CAIP-10 account identifier for the wallet that should receive the settled funds. Format: <namespace>:<chain_reference>:<address>. The chain (<namespace>:<chain_reference>) must match the chain of the corresponding asset.
1 - 256^[-a-zA-Z0-9]{3,8}:[-a-zA-Z0-9]{1,32}:[-a-zA-Z0-9]{1,128}$"eip155:8453:0x1234567890abcdef1234567890abcdef12345678"